namespace CS2B_shipping_company;

public class Program {
    public static async Task Main(string[] args){
        Company company = new Company();
        Server server = new Server(company);
        
        server.SetupServer();
        Console.WriteLine("Server started. Press any key to stop...");
        
        Task serverTask = server.ServerLoop();
        
        Console.ReadKey();
        server.StopServer();
        await serverTask;
    }
}